#ifndef button_h
#define button_h

#include <Arduino.h>

// reading 'single channel' button on pin 2 using pinchange interrupt - ceptimus 2015-07-07
class button {
  public:
    static uint8_t released; // true when button NOT pressed
    static uint32_t mS; // millis value when last edge occurred
    
    static void start(void); // call from setup() to initialise interrupts etc
    static uint32_t milliseconds(uint8_t *buttonUp); // returns (interrupt safe) mS since last edge and current 'pressed' state via pointer
};

#endif
